---
title: CSSTransformValue.length
slug: Web/API/CSSTransformValue/length
tags:
  - API
  - CSS T
  - CSS Typed Object Model API
  - Experimental
  - Houdini
  - Property
  - Reference
  - length
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{Draft}}</div>

<p class="summary">The read-only <strong><code>length</code></strong> property of the {{domxref("CSSTransformValue")}} interface returns the number of transform components in the list.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>length</var> = CSSTransformValue.length;</pre>

<h3 id="Return_value">Return value</h3>

<p>An integer representing the number of transform components in the list.</p>

<h2 id="Examples">Examples</h2>

<p>To Do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-csstransformvalue-length','length')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSTransformValue.length")}}</p>
